import Vue from 'vue';
import App from './App.vue';
import '@/plugins/weixin';
import router from './router';
import store from './store';
import '@/plugins/element.js';
import '@/plugins/vant';
import '@/plugins/axios';
import '@/plugins/check-res';
import '@/plugins/meta';
import '@/plugins/loading';
import '@/plugins/setting';
import 'babel-polyfill';
import InitStomp from '@/plugins/stomp';
import '@/plugins/components';
import '@frame/src/assets/icon/iconfont.css';
Vue.config.productionTip = false;
// 导数据
import JsonExcel from 'vue-json-excel';
Vue.component('downloadExcel', JsonExcel);
// 动画
import 'animate.css';
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount('#app');
InitStomp();
window.vm = new Vue({
  router,
});
